to_tuple.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/enum.hpp>`
`#include <msgpack/preprocessor/control/iif.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_TO_TUPLE(list)
#define | MSGPACK_PP_LIST_TO_TUPLE_EMPTY(list)
#define | MSGPACK_PP_LIST_TO_TUPLE_DO(list) MSGPACK_PP_LIST_TO_TUPLE_I(list)
#define | MSGPACK_PP_LIST_TO_TUPLE_I(list) (MSGPACK_PP_LIST_ENUM(list))
#define | MSGPACK_PP_LIST_TO_TUPLE_R(r, list)
#define | MSGPACK_PP_LIST_TO_TUPLE_R_EMPTY(r, list)
#define | MSGPACK_PP_LIST_TO_TUPLE_R_DO(r, list) MSGPACK_PP_LIST_TO_TUPLE_R_I(r, list)
#define | MSGPACK_PP_LIST_TO_TUPLE_R_I(r, list) (MSGPACK_PP_LIST_ENUM_R(r, list))

## Macro Definition Documentation

## MSGPACK_PP_LIST_TO_TUPLE

#define MSGPACK_PP_LIST_TO_TUPLE | ( |  | list | ) |

Value:
MSGPACK_PP_IIF \
( \
MSGPACK_PP_LIST_IS_NIL(list), \
MSGPACK_PP_LIST_TO_TUPLE_EMPTY, \
MSGPACK_PP_LIST_TO_TUPLE_DO \
) \
(list) \
MSGPACK_PP_IIF
#define MSGPACK_PP_IIF(bit, t, f)
Definition: iif.hpp:20

## MSGPACK_PP_LIST_TO_TUPLE_DO

#define MSGPACK_PP_LIST_TO_TUPLE_DO | ( |  | list | ) | MSGPACK_PP_LIST_TO_TUPLE_I(list)

## MSGPACK_PP_LIST_TO_TUPLE_EMPTY

#define MSGPACK_PP_LIST_TO_TUPLE_EMPTY | ( |  | list | ) |

## MSGPACK_PP_LIST_TO_TUPLE_I

#define MSGPACK_PP_LIST_TO_TUPLE_I | ( |  | list | ) | (MSGPACK_PP_LIST_ENUM(list))

## MSGPACK_PP_LIST_TO_TUPLE_R

#define MSGPACK_PP_LIST_TO_TUPLE_R | ( |  | r,
|  |  | list
| ) |  |

Value:
MSGPACK_PP_IIF \
( \
MSGPACK_PP_LIST_IS_NIL(list), \
MSGPACK_PP_LIST_TO_TUPLE_R_EMPTY, \
MSGPACK_PP_LIST_TO_TUPLE_R_DO \
) \
(r, list) \
MSGPACK_PP_IIF
#define MSGPACK_PP_IIF(bit, t, f)
Definition: iif.hpp:20

## MSGPACK_PP_LIST_TO_TUPLE_R_DO

#define MSGPACK_PP_LIST_TO_TUPLE_R_DO | ( |  | r,
|  |  | list
| ) |  | MSGPACK_PP_LIST_TO_TUPLE_R_I(r, list)

## MSGPACK_PP_LIST_TO_TUPLE_R_EMPTY

#define MSGPACK_PP_LIST_TO_TUPLE_R_EMPTY | ( |  | r,
|  |  | list
| ) |  |

## MSGPACK_PP_LIST_TO_TUPLE_R_I

#define MSGPACK_PP_LIST_TO_TUPLE_R_I | ( |  | r,
|  |  | list
| ) |  | (MSGPACK_PP_LIST_ENUM_R(r, list))